Get a simulation
curl --request GET \
--url https://judged.systems/api/simulations/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://judged.systems/api/simulations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://judged.systems/api/simulations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"packId": "<string>",
"packVersionId": "<string>",
"datasetId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "queued",
"error": "<string>",
"total": 123,
"done": 123,
"reviewRate": 123,
"avgLatencyMs": 123,
"totalTokens": 123,
"evaluations": [
{
"id": "<string>",
"status": "accept",
"ticketHash": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}Simulations
Get a simulation
Requires simulations:run.
GET
/
api
/
simulations
/
{id}
Get a simulation
curl --request GET \
--url https://judged.systems/api/simulations/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://judged.systems/api/simulations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://judged.systems/api/simulations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"packId": "<string>",
"packVersionId": "<string>",
"datasetId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "queued",
"error": "<string>",
"total": 123,
"done": 123,
"reviewRate": 123,
"avgLatencyMs": 123,
"totalTokens": 123,
"evaluations": [
{
"id": "<string>",
"status": "accept",
"ticketHash": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}Authorizations
apiKeybearerAuth
Path Parameters
Response
The run and its summary.
Available options:
queued, running, complete, failed Show child attributes
Show child attributes